com.saxonica.functions.extfn

## Class Mailer2

- java.lang.Object
- - com.saxonica.functions.extfn.Mailer2

-     public class Mailer2
      extends Object

  Helper class for saxon:send-mail() extension function

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mailer2()`
    `Mailer2(String server, int port, String user, String password)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBodyPart(javax.mail.BodyPart part)`
    `void` | `addRecipients(javax.mail.Message.RecipientType recipientType, javax.mail.Address[] addresses)`
    `void` | `sendMail(String subject, String content)`
    `void` | `setSender(String emailAddress, String realName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Mailer2

          public Mailer2()

    - #### Mailer2

          public Mailer2(String server,
                 int port,
                 String user,
                 String password)

  - ### Method Detail

    - #### setSender

          public void setSender(String emailAddress,
                       String realName)
                         throws javax.mail.MessagingException,
                                UnsupportedEncodingException

      Throws:
        `javax.mail.MessagingException`
        `UnsupportedEncodingException`

    - #### addRecipients

          public void addRecipients(javax.mail.Message.RecipientType recipientType,
                           javax.mail.Address[] addresses)
                             throws XPathException

      Throws:
        `XPathException`

    - #### addBodyPart

          public void addBodyPart(javax.mail.BodyPart part)
                           throws XPathException

      Throws:
        `XPathException`

    - #### sendMail

          public void sendMail(String subject,
                      String content)
                        throws javax.mail.MessagingException

      Throws:
        `javax.mail.MessagingException`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.